pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

pkg/38617: lang/python21 wrong configure check

>Number:         38617
>Category:       pkg
>Synopsis:       lang/python21 wrong configure check
>Confidential:   no
>Severity:       non-critical
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Fri May 09 09:55:00 +0000 2008
>Originator:     Hasso Tepper
>Release:        DragonFly
DragonFly 1.13.0-DEVELOPMENT
The configure script of lang/python21 has configure check for existance of 
PTHREAD_SCOPE_SYSTEM and it calls pthread_create() with first argument NULL.

While it's somewhat arguable whether it's allowed or not, experience shows that 
at least some OS'es behave unreliable in this case - Linux segfaults and some 
versions of DragonFly BSD hang.
Try to build lang/python21 in Linux or DragonFly BSD.
The patch to fix the problem is available at:

Home | Main Index | Thread Index | Old Index